
Figure - 需求 Requirement #116966
【Locked需求】音频焦点切换
2023-03-15 17:37 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2023-03-15

Priority: Normal Due date:

Assignee: Multimedia组-RD3_TSCD 梁卿山 % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Description

基于副屏和中控共用同一套音频设备的情况下，实现多媒体，以及网络语音通话的功能，并且对申请焦点，以及中断时机等状态进行定

义

PRD存放地址：https://thundersoft.feishu.cn/docx/WomNdDnX3oUkNGxnLfscb5mNnrc

Related issues:

Related to Figure - 开发 Dev # 112369: [MM][音量调节]PRD分拆实现 New 2022-10-08 2022-10-28

History

#1 - 2023-03-15 17:39 - 方案组-RD3_CDTS 王浩云

- Status changed from New to 分析&分解中 In Analysis

- Target version set to VC1_FSE_0086_20230328

需要完成联调测试，主体功能已经完成开发

#2 - 2023-03-21 17:52 - Multimedia组-RD3_TSCD 梁卿山

Hi All，

■ 现状

当前根据PRD修改了一版，测试了相关的场景，发现以下还有问题的场景。

1.中控相关

场景一：

中控在使用蓝牙通话场景下的音频焦点切换

中控的版本号：0060

测试环境：

手机连接中控蓝牙

副屏播放音乐

测试步骤：

用另一部手机打电话

并且接听

挂断电话

预期结果：

步骤一：中控抢占焦点，副屏停止播放

步骤二：接听后，可以听到通话的声音

步骤三：挂断后，副屏可以继续播放音乐

实际结果：

步骤一：符合预期，中控发送了loss_TRANSIST

步骤二：不符合预期，中控归还焦点，发送了onAudioFocusChange，副屏中心获得了焦点，并且播放

步骤三：无信息发送，副屏继续播放

2025-07-04 1/4

https://thundersoft.feishu.cn/docx/WomNdDnX3oUkNGxnLfscb5mNnrc


场景二：

中控在使用蓝牙通话场景下的音频焦点切换

中控的版本号：0060

测试环境：

手机连接中控蓝牙

副屏播放音乐

测试步骤：

用当前手机打电话

并且接听

挂断电话

预期结果：

步骤一：中控抢占焦点，副屏停止播放

步骤二：接听后，可以听到通话的声音

步骤三：挂断后，副屏可以继续播放音乐

实际结果：

步骤一：不符合预期，中控未发送loss_TRANSIST

步骤二：不符合预期，中控无信息发送，副屏继续播放

步骤三：无信息发送，副屏继续播放

2.副屏相关

场景一：

副屏在VOIP通话场景下的音频焦点切换

中控的版本号：0060

测试环境：

副屏播放音乐

测试步骤：

副屏播出VOIP电话

对象机接听

挂断电话

预期结果：

步骤一：副屏VOIP焦点申请正常，副屏音乐停止播放

步骤二：接听后，可以听到通话的声音

步骤三：挂断后，副屏可以继续播放音乐

实际结果：

步骤一：不符合预期，副屏申请Voice call焦点成功，音乐暂停播放，（在这期间有media的焦点申请，需要处理）

步骤二：符合预期，可以听到通话的声音

步骤三：不符合预期，副屏调用abandon释放voice call焦点，副屏音乐未继续播放（该动作可能和应用相关，需要看看原生机型）

场景二：

副屏在VOIP通话场景下的音频焦点切换

中控的版本号：0060

测试环境：

副屏播放音乐

测试步骤：

副屏播出QQ电话

对象机接听

另外一台打入飞书电话

测试机接听

飞书挂断电话

QQ挂断电话

预期结果：

步骤一：副屏VOIP焦点申请正常，副屏音乐停止播放

步骤二：接听后，可以听到通话的声音
步骤三：副屏VOIP焦点申请正常

步骤四：飞书声音可以输出，QQ声音可以输出

步骤五：飞书挂断电话未申请abandon

步骤六：QQ挂断电话申请abandon

实际结果：

步骤一：副屏VOIP焦点申请正常，副屏音乐停止播放

步骤二：接听后，QQ通话正常

步骤三：副屏VOIP焦点申请正常

步骤四：飞书声音mic无声，QQ声音可以输出

步骤五：飞书挂断电话申请abandon

步骤六：QQ挂断电话未申请abandon

■ 下一步

1.和中控联系后，需要62版本进行调试

2.继续根据现象优化焦点控制

#3 - 2023-03-27 17:27 - Multimedia组-RD3_TSCD 梁卿山

- % Done changed from 0 to 90

Hi ALL,

根据当前的PRD，已经提出了新的一版提交，

经过开发测试，暂未发现其他问题。

提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/189663/4

#4 - 2023-03-27 19:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189663 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Audio focus optimizationAudio focus optimizationTC-RID: 0301-0900116IssueID: TS-R-DF-116966Change-Id:

If74b95b41a81cc1dd2c9066aadaa40b1b449a6dc

#5 - 2023-03-29 17:15 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from 分析&分解中 In Analysis to 完成 Closed

- % Done changed from 90 to 100

Hi ALL

代码已经投入，等待后续详细测试，该票关闭。

#6 - 2023-04-24 15:02 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

195815 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Audio focus Debug LogAudio focus Debug LogTC-RID: 0301-0900116IssueID: TS-R-DF-116966Change-Id:

I419c4fec00215696f1dcdf6af22177223b15c189

#7 - 2023-04-24 15:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195074 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Audio focus optimisationAudio focus optimisationTC-RID: 0301-0900116IssueID: TS-R-DF-116966Change-Id:

I910f6542b0d768c5f4316f3fe4bfb8d63b73aafc

#8 - 2023-04-24 15:04 - Multimedia组-RD3_TSCD 梁卿山

HI ALL，

更新了新的焦点优化策略。
